#!/usr/bin/env cwl-runner
cwlVersion: v1.2
class: Workflow

requirements:
  SubworkflowFeatureRequirement: {}

inputs:
  IndexInput: File[]
  InputReadsMultipleSamples:
    type: 
      type: array
      items: 
        type: array
        items: File
  numUnderscoresFileName: int
  isSingle: boolean
  FragmentLength: double?  
  StandardDeviation: double?
  BootstrapSamples: int?
  resultsFolder: string

steps:
  kallisto:
    run:  ../../workflows/kallisto/workflow.cwl
    in:
      IndexInput: IndexInput
      InputReadsMultipleSamples: InputReadsMultipleSamples
      numUnderscoresFileName: numUnderscoresFileName
      isSingle: isSingle
      FragmentLength: FragmentLength
      StandardDeviation: StandardDeviation
      BootstrapSamples: BootstrapSamples
      resultsFolder: resultsFolder
    out: [finalOut]

outputs:
  finalOut:
    type: Directory[]
    outputSource: kallisto/finalOut
